com.r3corda.core.contracts / SignedTransaction / verifySignatures

# verifySignatures

`fun verifySignatures(): Unit`

Verifies the given signatures against the serialized transaction data. Does NOT deserialise or check the contents to ensure there are no missing signatures: use verify() to do that. This weaker version can be useful for checking a partially signed transaction being prepared by multiple co-operating parties.

### Exceptions

`SignatureException` - if the signature is invalid or does not match.